*{
  padding: 0; 
  margin: 0;
}

a:link {
  color: darkblue;
  text-decoration: none;
}
a:visited {
  color: darkblue;
  text-decoration: none;
}
a:hover {
  color: darkblue;
  text-decoration: underline;
}

:focus {
  outline: none;
}

ul.fancytree-container {
  border: 0;
}

.viewer-container {
    overflow: hidden;
    min-height: 100px;
    /* border: 2px dashed #f0f; */
}

.chart-container {
    overflow: hidden;
    min-height: 100px;
    /* border: 2px dashed #f0f; */
}

.image-container {
    float: right;
    width: 788px;
    min-height: 100px;
    /* border: 2px dashed #00f; */
}

.control-container {
    width: 688px;
    min-height: 100px;
    /* border: 2px dashed #00f; */
}

.image {
    height: 384px;
    width: 384px;
    border: 2px;
    border-style: solid;
    float: left;
    position: relative;
    margin-left: 6px;
    margin-bottom: 6px;
    background: black;
    cursor: pointer;
}

.relative {
  position: relative
}

.wrapper {
  max-width: 1200px;
  padding: 0 20px 20px;
  margin: 0 auto
}

.explorer-container {
  width: 80%;
  height: 300px;
  background: white;
  margin: auto;
  padding: 10px;
}

.explorer-tree-view {
  width: 40%;
  height: 250px;
  background: white;
  float: left;
  overflow-y: scroll;
}

.explorer-details-view {
  height: 250px;
  margin-left: 42%;
  background: white;
  font-family: tahoma, arial, helvetica;
  font-size: 10pt;
  padding-top: 3pt;
}

html {
  height: 100%;
}

body {
  height: 100%;
  overflow: hidden;
  background: white;
  margin-left: 30px;
  margin-right: 30px;
  font-family: "Sans", Arial, sans-serif;
  font-weight: 300;
  line-height: 1.5;
  color: #3A3A3A;
}

line { stroke: black; }
path { stroke: black; }
text { fill: black; }

div {
  display: block;
  border: 0px;
  margin: 0px;
  padding: 0px;
}
svg {
  display: block;
  border: 0px solid red;
  margin: 0px;
  padding: 0px;
}

input[type="file"] {
  display: none;
}

input[type="button"] {
  display: none;
}

.file-button {
  border: 1px solid #ccc;
  display: inline-block;
  padding: 3px 12px;
  background: #EFEFEF;
  margin-right: 6px;
  font-family: tahoma, arial, helvetica;
  font-size: 10pt;
  cursor: pointer;
}

.animation-button {
  border: 1px solid #ccc;
  display: inline-block;
  margin-left: 6px;
  padding: 6px 12px;
  font-family: tahoma, arial, helvetica;
  font-size: 10pt;
  cursor: pointer;
}

.title {
  font-family: sans-serif; 
  font-size: 12px; 
  text-anchor: left;
}

.zoom {
  cursor: move;
  fill: none;
  pointer-events: all;
}

.dayticks text {
  /*display: none;*/
} 

.dayticks line {
  stroke-width: 5;
  stroke: #f00;
  opacity: 1;
}

.dayticks .domain {
  stroke: none;
}

.mouseindicator {
  stroke: gray; stroke-width: 1px; opacity: 0.2;
}

.nowindicator {
  stroke: #AAAAFF; stroke-width: 4px; opacity: 0.2;
}

.animationindicator {
  stroke: darkgray; stroke-width: 2px;
}

.axis path {
  stroke-width: 1;
}

.axis line {
  stroke-width: 1;
  stroke: #aaa;
  opacity: 0.5;
  /*stroke-width: 0.5;*/
}

.axis--x text {
  text-anchor: start;
}

.axis--x2 text {
  text-anchor: start;
}

.kptext {
  text-anchor: middle;
  font-family: sans-serif;
  font-size: 11px;
}

rect.kp_forecast {
  stroke: none;
  opacity: 0.5;
  mix-blend-mode: multiply;
}

rect.kp_gfz {
  opacity: 1;
  stroke: none;
}

.visible {
  visibility: visible;
}

.hidden {
  visibility: hidden;
}

.Bxline {
  fill: none;
  stroke: none;
  stroke-width: 0.25;
}

.Byline {
  fill: #A0A0C0;
  stroke: none;
  stroke-width: 0.25;
}

.Bzline {
  fill: #F06060;
  stroke: none;
  opacity: 1;
}

.Btline {
  fill: #D0D0D0;
  /*fill: #303030;*/
  stroke: none;
}

.speedline {
  fill: none;
  stroke: orange;
  stroke-width: 1.5;
}

.speedarea {
  fill: lightyellow;
  stroke: none;
}

.speedaceline {
  fill: none;
  stroke: orange;
  stroke-width: 1.5;
}

.speedacearea {
  fill: lightyellow;
  stroke: none;
}

.speeddscovrline {
  fill: none;
  stroke: red;
  stroke-width: 1.5;
}

.speeddscovrarea {
  fill: lightyellow;
  stroke: none;
}

.densityline {
  fill: none;
  stroke: darkblue;
  stroke-width: 1.5;
}

.densityarea {
  fill: #E0F0FF;
  stroke: none;
}

.pressureline {
  fill: none;
  stroke: #4060C0;
  stroke-width: 1.5;
}

.pressurearea {
  fill: #E0F0FF;
  stroke: none;
}

.temperatureline {
  fill: none;
  stroke: #FF4040;
  stroke-width: 1.5;
}

.temperaturearea {
  fill: #FFF0F0;
  stroke: none;
}

#videocontainer {
  background-color: #444444;
  position: fixed;
  top: 0;
  right: 0;
  width: 512px;
  font-size: 0;
}

.vid_wrapper {
  display: inline-block;
  width: 256px;
  height: 256px;
  position: relative;
  border: 0px;
  padding: 0px;
  margin: 0px;
}

video {
  width: auto;
  height: 100%;
/*  object-fit: cover;
*//*  border: 0px;
  padding: 0px;
  margin: 0px;  */
}

.video_overlay_text_container {
    position: absolute;
    top: 5px;
    left: 5px;
    border: none;
}

.video_overlay_text_container h1 {
    color: white;
    font-size: 10px;
    font-family: sans-serif;
    font-weight: normal;
}

.sdomovie_button {
  cursor: pointer;
}

@media (prefers-color-scheme: dark) {
  body {
    background: #222;
  }

  line { stroke: lightgray; }
  path { stroke: lightgray; }
  text { fill: lightgray; }

  .mouseindicator {
    stroke: white;
  }

  .nowindicator {
    stroke: #AAAAFF;
  }


  .axis line {
    stroke: #aaa;
  }

  .dayticks line {
    stroke: #444;
  }

  .Byline {
    fill: #A0A0C0;
  }

  .Bzline {
    fill: #A03030;
  }

  .Btline {
    fill: #383838;
  }

  .speedline {
    fill: none;
    stroke: orange;
  }

  .speedarea {
    fill: #332200;
  }

  .speedaceline {
    fill: none;
    stroke: orange;
  }

  .speedacearea {
    fill: #332200;
  }

  .speeddscovrline {
    fill: none;
    stroke: orange;
  }

  .speeddscovrarea {
    fill: #332200;
  }

  .densityline {
    stroke: lightblue;
  }

  .densityarea {
    fill: #203040;
  }

  .pressureline {
    stroke: #6080C0;
  }

  .pressurearea {
    fill: #102050;
  }

  .temperatureline {
    fill: none;
    stroke: #FF8080;
  }

  .temperaturearea {
    /*fill: #FFC0C0;*/
    fill: #300505;
  }

}

